10.5 Upgrade Geodatabase option grayed-out

1443
5
Jump to solution
02-15-2017 08:35 AM
MarkSmith
New Contributor III

Hello.

I've just installed ArcGIS Desktop 10.5 (licensed with Advanced Concurrent from 10.5 License Manager) and now I want to upgrade my existing 10.2 SQL Server Geodatabases to 10.5.

However, when I right click my database connection in Catalog and select Properties, the Upgrade Geodatabase option is grayed out, and it says: "This 10.2 Geodatabase matches the ArcGIS release you are currently using".

The machine I'm working on did have 10.2 Desktop on it previously but I completely uninstalled that before installing 10.5.  So the only ESRI products on the machine are Desktop and License Manager, both at 10.5.

Does anyone have any ideas what's going on here?  How can I upgrade my databases to 10.5?  I've looked online and it seems I should be able to do it.  Am I missing something obvious?

Thank you,

Mark.

0 Kudos
1 Solution

Accepted Solutions
RebeccaStrauch__GISP
MVP Esteemed Contributor

Have your looked to see if you SQL meets minimum requirements?

Microsoft SQL Server database requirements for ArcGIS 10.5—Help | ArcGIS Desktop 

Minimum now of SQL 2012 (we have 2008, and that is holding our upgrade up right now)

View solution in original post

5 Replies
RebeccaStrauch__GISP
MVP Esteemed Contributor

Have your looked to see if you SQL meets minimum requirements?

Microsoft SQL Server database requirements for ArcGIS 10.5—Help | ArcGIS Desktop 

Minimum now of SQL 2012 (we have 2008, and that is holding our upgrade up right now)

View solution in original post

MarkSmith
New Contributor III

Thanks Rebecca.  That's it, we're on 2008, I didn't come across that requirement when looking into the issue.

It would have helped/saved a lot of time if the message on the Properties box had told me that instead of telling me 10.5 matched 10.2.

Thanks for your reply.

Mark.

PaulLohr
Regular Contributor

I ran across the same issue. Client is ArcMap 10.7.1, geodatabase was created with ArcMap 10.2.2, DBMS is SQL Server 2008. When trying to run the Upgrade Geodatabase tool from ArcMap 10.7.1, it says that "The geodatabase is already at the current release and cannot be upgraded." Nothing is mentioned in the error message (# 001046) about the DBMS version not supporting the upgrade. The reality is it can't be upgraded due to the 2008 version of SQL Server.

0 Kudos
George_Thompson
Esri Frequent Contributor

You can contact Technical Support and request an Enhancement to the error message to give a better message related to the version of SQL Server.

--- George T.
George_Thompson
Esri Frequent Contributor

Also make sure that you are connecting as the SDE/DBO user for the geodatabase and you have the correct permissions.

*Update I forgot to add the link: Privileges for geodatabases in SQL Server—Help | ArcGIS Desktop 

Please review the upgrade documentation: Upgrade an enterprise geodatabase in SQL Server—Help | ArcGIS Desktop  to prevent any major issues. ALWAYS get a full, verified backup before running the upgrade.

Geodatabase

--- George T.